{% extends 'Default/backend.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/css/dataTables.bootstrap4.min.css" integrity="sha512-PT0RvABaDhDQugEbpNMwgYBCnGCiTZMh9yOzUsJHDgl/dMhD9yjHAwoumnUk3JydV3QTcIkNDuN40CJxik5+WQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" integrity="sha512-aVKKRRi/Q/YV+4mjoKBsE4x3H+BkegoM/em46NNlCqNTmUYADjBbeNefNxYV7giUp0VxICtqdrbqU7iVaeZNXA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/jquery.dataTables.min.js" integrity="sha512-BkpSL20WETFylMrcirBahHfSnY++H2O1W+UnEEO4yNIl+jI2+zowyoGJpbtk6bx97fBXf++WJHSSK2MV4ghPcg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/dataTables.bootstrap4.min.js" integrity="sha512-OQlawZneA7zzfI6B1n1tjUuo3C5mtYuAWpQdg+iI9mkDoo7iFzTqnQHf+K5ThOWNJ9AbXL4+ZDwH7ykySPQc+A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

{#  omines/datatables-bundle#}
  <script src="{{ asset('bundles/datatables/js/datatables.js') }}"></script>

  <script>
    $(function () {
      $('#presidents').initDataTables({{ datatable_settings(datatable) }}, {
        searching: true,
        language_from_cdn: true,
        dom: "<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6'f>>" +
          "<'row'<'col-sm-12'tr>>" +
          "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>"
      });
    });
  </script>
{% endblock %}

{% block main_content %}
  <section id="intro" class="container-fluid px-4 my-4">
    <div class="row">
      <div class="col-lg-12 py-lg-2">
        <h2>{{ 'nav.admin.logs_descrizione' | trans }}</h2>
      </div>

      <div class="col-lg-12">
        <div id="no-more-tables">
          <!-- Insert this where you want the table to appear -->
          <div id="presidents">{{ 'loading' | trans }}</div>
          <!-- Insert this at the end of your body element, but before the closing tag -->
        </div>
      </div>
    </div>
  </section>
{% endblock %}
